/*udpstuff.h*/

#ifndef UDPSTUFF_H
#define UDPSTUFF_H
/*returns 0 on success and -1 on failure*/
int
make_udp_listener(int local_port, int *fd);

/*returns fd on success, -1 on failure*/
int
udpconnect(const char * host,  const unsigned short port );

/*returns 1 on success, 0 on failure*/
int
udp_write_data(int sock,struct sockaddr_in *toAddrp,
	       uint32 size, unsigned char *buffer);

#endif
